ChangeSet 1.1722.83.3, 2004/06/02 13:19:23-07:00, numlock@freesurf.ch

[PATCH] Add support for ISD-300 controller

This patch adds support in unusual_devs.h for the ISD-300 USB controller
used in CD-ROM enclosures.

With it, since 2.6.0 it allowed me to move gigabytes of data and worked
without a hitch.


Signed-off-by: Andrew Morton <akpm@osdl.org>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/storage/unusual_devs.h |    6 ++++++
 1 files changed, 6 insertions(+)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Fri Jun 18 11:07:17 2004
+++ b/drivers/usb/storage/unusual_devs.h	Fri Jun 18 11:07:17 2004
@@ -366,6 +366,12 @@
 		"USB Hard Disk",
 		US_SC_RBC, US_PR_CB, NULL, 0 ), 
 
+/* Submitted by Jol Bourquard <numlock@freesurf.ch> */
+UNUSUAL_DEV(  0x05ab, 0x0060, 0x1104, 0x1110,
+		"In-System",
+		"PyroGate External CD-ROM Enclosure (FCD-523)",
+		US_SC_SCSI, US_PR_BULK, NULL, 0 ),
+
 #ifdef CONFIG_USB_STORAGE_ISD200
 UNUSUAL_DEV(  0x05ab, 0x0031, 0x0100, 0x0110,
 		"In-System",
